Subject: Re: bug#36758: 27.0.50; Mac OS/Lucid/X11: crash with libharfbuzz

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Tue, 30 Jul 2019 09:03:24 +0900

On Tue, 23 Jul 2019 02:20:23 +0900,
Simon Leinen wrote:
> 
> Simon Leinen writes:
> > So I guess all I have to do is make sure Emacs doesn't use the old
> > libfreetype in /opt/X11/lib, but rather the newer one in
> > /usr/local/lib (and hope that that one works in an X11 environment...)
> 
> I finally managed to get the Emacs Makefiles put
> -L/usr/local/opt/freetype/lib in front of -L/opt/X11/lib, and rebuilt my
> Emacs binaries.  They now no longer crash when I open the message with
> the Arabic font in GNUS.  Hooray!
> 
> So the problem was a typical "DLL hell" issue that I brought upon myself
> by selecting an unusual combination of libraries.  I don't think there's
> much for the Emacs developers to improve in this situation.  Therefore I
> think this bug can safely be closed.

Thanks for confirming it.  Closing the bug.

For future reference, FreeType 2.7.0 bundled with XQuartz 2.7.11
crashes if used with HarfBuzz 2.5.3, but FreeType 2.10.1 doesn't.

				     YAMAMOTO Mitsuharu
				[email-masked]